package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "ProfileHistoriVisi_T")
public class ProfileHistoriVisi extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "noHistoriFk")
	@Caption(value="noHistoriFk")
	private StrukHistori strukHistori;

	@Column(name = "noHistoriFk", insertable=false,updatable=false,nullable=false)
	private String strukHistoriId;

	@Column(name = "noUrut", nullable = false)
	@Caption(value = "noUrut")
	private String noUrut;
	
	@Column(name = "visiProfile", nullable = false)
	@Caption(value = "visiProfile")
	private String visiProfile;

	@Column(name = "keteranganLainnya", nullable = true)
	@Caption(value = "keteranganLainnya")
	private String keteranganLainnya;

	public StrukHistori getStrukHistori() {
		return strukHistori;
	}

	public void setStrukHistori(StrukHistori strukHistori) {
		this.strukHistori = strukHistori;
	}

	public String getStrukHistoriId() {
		return strukHistoriId;
	}

	public void setStrukHistoriId(String strukHistoriId) {
		this.strukHistoriId = strukHistoriId;
	}

	public String getNoUrut() {
		return noUrut;
	}

	public void setNoUrut(String noUrut) {
		this.noUrut = noUrut;
	}

	public String getVisiProfile() {
		return visiProfile;
	}

	public void setVisiProfile(String visiProfile) {
		this.visiProfile = visiProfile;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

}
